package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type GardenTaskStringer struct {
}

func (this *GardenTaskStringer) ToString(gardenTask *mdl.GardenTask) (string, error) {
	if gardenTask == nil {
		return "", nil
	}
	return gardenTask.Name, nil
}
func (this *GardenTaskStringer) MustToString(entity *mdl.GardenTask) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
